aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2014-12-08 08:10:40 -0300
committerGravatar Peter Korsgaard <peter@korsgaard.com>2014-12-08 13:11:41 +0100
commita7dd8ecd5e34f0ee1087f65584afc3f6415b4567 (patch)
treefe5901c11fe169fdf63731068169b47b6bff0925
parentbf6f74de113d1a36317cd53121e76314c8e7c345 (diff)
downloadbuildroot-a7dd8ecd5e34f0ee1087f65584afc3f6415b4567.tar.gz
buildroot-a7dd8ecd5e34f0ee1087f65584afc3f6415b4567.tar.bz2
linux-headers: add 3.18.x series
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
-rw-r--r--package/linux-headers/Config.in.host11
1 files changed, 10 insertions, 1 deletions
diff --git a/package/linux-headers/Config.in.host b/package/linux-headers/Config.in.host
index 85ffde5a5f..368759dd07 100644
--- a/package/linux-headers/Config.in.host
+++ b/package/linux-headers/Config.in.host
@@ -5,7 +5,7 @@ comment "Kernel Header Options"
choice
prompt "Kernel Headers"
- default BR2_KERNEL_HEADERS_3_17
+ default BR2_KERNEL_HEADERS_3_18
help
Select the version of kernel header files you wish to use.
You must select the correct set of header files to match
@@ -63,6 +63,10 @@ choice
bool "Linux 3.17.x kernel headers"
select BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_17
+ config BR2_KERNEL_HEADERS_3_18
+ bool "Linux 3.18.x kernel headers"
+ select BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_18
+
config BR2_KERNEL_HEADERS_VERSION
bool "Manually specified Linux version"
endchoice
@@ -84,6 +88,10 @@ choice
This is used to hide/show some packages that have strict
requirements on the version of kernel headers.
+config BR2_PACKAGE_HOST_LINUX_HEADERS_CUSTOM_3_18
+ bool "3.18.x"
+ select BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_18
+
config BR2_PACKAGE_HOST_LINUX_HEADERS_CUSTOM_3_17
bool "3.17.x"
select BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_17
@@ -174,4 +182,5 @@ config BR2_DEFAULT_KERNEL_HEADERS
default "3.15.10" if BR2_KERNEL_HEADERS_3_15
default "3.16.7" if BR2_KERNEL_HEADERS_3_16
default "3.17.6" if BR2_KERNEL_HEADERS_3_17
+ default "3.18" if BR2_KERNEL_HEADERS_3_18
default BR2_DEFAULT_KERNEL_VERSION if BR2_KERNEL_HEADERS_VERSION